import type { ICmsImportExportRecord } from "../../../domain";
import type { IExportContentEntriesUseCase, IExportContentEntriesUseCaseExecuteParams } from "./abstractions/ExportContentEntriesUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IExportContentEntriesUseCaseParams {
    triggerTask: ITasksContextObject["trigger"];
}
export declare class ExportContentEntriesUseCase implements IExportContentEntriesUseCase {
    private readonly triggerTask;
    constructor(params: IExportContentEntriesUseCaseParams);
    execute(params: IExportContentEntriesUseCaseExecuteParams): Promise<ICmsImportExportRecord>;
}
