import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import { IImportFromUrlController, IImportFromUrlControllerInput, IImportFromUrlControllerOutput } from "./abstractions/ImportFromUrlController";
import type { Context } from "../../types";
export declare class ImportFromUrlController<C extends Context = Context, I extends IImportFromUrlControllerInput = IImportFromUrlControllerInput, O extends IImportFromUrlControllerOutput = IImportFromUrlControllerOutput> implements IImportFromUrlController<C, I, O> {
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
