import type { ImportFromUrlControllerStep } from "./abstractions/ImportFromUrlControllerStep";
import { Context } from "../../../types";
import type { IImportFromUrlControllerInput, IImportFromUrlControllerOutput } from "../abstractions/ImportFromUrlController";
import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
export declare class ImportFromUrlControllerDownloadStep<C extends Context = Context, I extends IImportFromUrlControllerInput = IImportFromUrlControllerInput, O extends IImportFromUrlControllerOutput = IImportFromUrlControllerOutput> implements ImportFromUrlControllerStep<C, I, O> {
    execute(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
