import type { IGetImportFromUrlUseCase } from "./abstractions/GetImportFromUrlUseCase";
import type { IImportFromUrlUseCaseExecuteParams, IImportFromUrlUseCaseExecuteResponse } from "../importFromUrl/abstractions/ImportFromUrlUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IGetImportFromUrlUseCaseParams {
    getTask: ITasksContextObject["getTask"];
}
export declare class GetImportFromUrlUseCase implements IGetImportFromUrlUseCase {
    private readonly getTask;
    constructor(params: IGetImportFromUrlUseCaseParams);
    execute(params: IImportFromUrlUseCaseExecuteParams): Promise<IImportFromUrlUseCaseExecuteResponse | null>;
}
