import type { ICmsImportExportRecord, ICmsImportExportRecordFile } from "./abstractions/CmsImportExportRecord";
import type { TaskDataStatus } from "@webiny/tasks";
export declare class CmsImportExportRecord implements ICmsImportExportRecord {
    id: string;
    createdOn: string;
    createdBy: any;
    finishedOn: string | null;
    modelId: string;
    files: ICmsImportExportRecordFile[] | null;
    exportAssets: boolean;
    status: TaskDataStatus;
    constructor(data: ICmsImportExportRecord);
}
export declare const createCmsImportExportRecord: (data: ICmsImportExportRecord) => ICmsImportExportRecord;
