import type { ICmsImportExportValidateRecord } from "./abstractions/CmsImportExportValidateRecord";
import type { ICmsImportExportValidatedFile } from "../types";
import type { GenericRecord, NonEmptyArray } from "@webiny/api/types";
import type { TaskDataStatus } from "@webiny/tasks";
export declare class CmsImportExportValidateRecord implements ICmsImportExportValidateRecord {
    readonly id: string;
    readonly files: NonEmptyArray<ICmsImportExportValidatedFile> | undefined;
    readonly status: TaskDataStatus;
    readonly error: GenericRecord | undefined;
    constructor(params: ICmsImportExportValidateRecord);
}
export declare const createCmsImportValidateRecord: (data: ICmsImportExportValidateRecord) => ICmsImportExportValidateRecord;
