"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBucket = void 0;
var _error = require("@webiny/error");
const getBucket = () => {
  const bucket = process.env.S3_BUCKET;
  if (!bucket || bucket === "undefined" || bucket === "null" || typeof bucket !== "string" || !bucket.trim()) {
    throw new _error.WebinyError(`Missing S3_BUCKET environment variable.`, "S3_BUCKET_ERROR");
  }
  return bucket;
};
exports.getBucket = getBucket;

//# sourceMappingURL=getBucket.js.map