import { CmsImportExportFileType } from "../../../types";
interface SuccessResponse {
    type: CmsImportExportFileType;
    pathname: string;
    error?: never;
}
interface ErrorResponse {
    type: string | undefined;
    pathname: string;
    error: true;
}
export type Response = SuccessResponse | ErrorResponse;
export declare const getImportExportFileType: (input: string) => Response;
export {};
