import type { IMultipartUploadHandlerAddResult, IMultipartUploadHandlerPauseResult, IPart } from "../abstractions/MultipartUploadHandler";
export interface IMultipartUploadHandlerAddResultParams {
    written: boolean;
    parts: IPart[];
    pause: () => Promise<IMultipartUploadHandlerPauseResult>;
}
export declare class MultipartUploadHandlerAddResult implements IMultipartUploadHandlerAddResult {
    readonly parts: IPart[];
    private readonly written;
    private readonly _pause;
    constructor(params: IMultipartUploadHandlerAddResultParams);
    canBePaused(): boolean;
    pause(): Promise<IMultipartUploadHandlerPauseResult>;
}
export declare const createMultipartUploadHandlerAddResult: (params: IMultipartUploadHandlerAddResultParams) => IMultipartUploadHandlerAddResult;
