import type { CompleteMultipartUploadCommandOutput } from "@webiny/aws-sdk/client-s3";
import type { IMultipartUploadHandlerCompleteResult, IPart } from "../abstractions/MultipartUploadHandler";
export declare class MultipartUploadHandlerCompleteResult implements IMultipartUploadHandlerCompleteResult {
    readonly result: CompleteMultipartUploadCommandOutput;
    readonly uploadId: string;
    readonly parts: IPart[];
    constructor(params: IMultipartUploadHandlerCompleteResult);
}
export declare const createMultipartUploadHandlerCompleteResult: (params: IMultipartUploadHandlerCompleteResult) => IMultipartUploadHandlerCompleteResult;
